org.jboss.resteasy.security.doseta

## Class ClientDigitalVerificationHeaderDecoratorFeature.DigitalVerificationHeaderDecorator

- java.lang.Object
- - org.jboss.resteasy.security.doseta.AbstractDigitalVerificationHeaderDecorator
  - - org.jboss.resteasy.security.doseta.ClientDigitalVerificationHeaderDecoratorFeature.DigitalVerificationHeaderDecorator

- All Implemented Interfaces:
    ClientResponseFilter
  Enclosing class:
    ClientDigitalVerificationHeaderDecoratorFeature

      public static class ClientDigitalVerificationHeaderDecoratorFeature.DigitalVerificationHeaderDecorator
      extends AbstractDigitalVerificationHeaderDecorator
      implements ClientResponseFilter

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.security.doseta.AbstractDigitalVerificationHeaderDecorator

      `verifications, verify`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientDigitalVerificationHeaderDecoratorFeature.DigitalVerificationHeaderDecorator(Verify verify, Verifications verifications)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `filter(ClientRequestContext requestContext, ClientResponseContext responseContext)` Filter method called after a response has been provided for a request (either by a `request filter` or when the HTTP invocation returns.

    - ### Methods inherited from class org.jboss.resteasy.security.doseta.AbstractDigitalVerificationHeaderDecorator

      `create, createVerification`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientDigitalVerificationHeaderDecoratorFeature.DigitalVerificationHeaderDecorator

          public ClientDigitalVerificationHeaderDecoratorFeature.DigitalVerificationHeaderDecorator(Verify verify,
                                                                                            Verifications verifications)

  - ### Method Detail

    - #### filter

          public void filter(ClientRequestContext requestContext,
                    ClientResponseContext responseContext)
                      throws IOException

      Description copied from interface: `ClientResponseFilter`
      Filter method called after a response has been provided for a request (either by a `request filter` or when the HTTP invocation returns. Filters in the filter chain are ordered according to their `javax.annotation.Priority` class-level annotation value.
      Specified by:
        `filter` in interface `ClientResponseFilter`
      Parameters:
        `requestContext` - request context.
        `responseContext` - response context.
      Throws:
        `IOException` - if an I/O exception occurs.

Copyright © 2014. All Rights Reserved.